import Head from 'next/head'
import HeadComponent from '../components/head.js'
import Menu from '../components/menu.js'
import Image from 'next/image'
import styles from '../styles/Index.module.css'

import { FontAwesomeIcon } from '@fortawesome/react-fontawesome'
import { faDiscord } from '@fortawesome/free-brands-svg-icons'
import { faTwitter } from '@fortawesome/free-brands-svg-icons'
import { faSpotify } from '@fortawesome/free-brands-svg-icons'
import { faSteam } from '@fortawesome/free-brands-svg-icons'
import { faSoundcloud } from '@fortawesome/free-brands-svg-icons'
import { faEnvelope } from '@fortawesome/free-solid-svg-icons'

export default function Index() {
    return (
        <div className={styles.page}>
            <HeadComponent/>
            <Head>
                <title>Invesvpo | Landing Page</title>
            </Head>

            <section className={styles.leftsidetint + " slide-in-down"}>
                <a href="/"><img src="/logo.png"/></a>
                <footer>
                    <a href="https://dubbelnull.com/" target="_blank">Made by DubbelNull</a> with NextJS and Vercel
                </footer>
            </section>

            <section className={styles.content}>
                <div className={styles.topcontainerbackg + " slide-in-right"}></div>

                <div className={styles.topcontainer + " slide-in-left"}>
                    <Menu/>
                    <div>
                        <h1>INVESVPO</h1>
                        <p><div className="badge"><span>aka</span></div> Fuhz — Elikas — C2RW</p>
                    </div>
                </div>

                <div className={styles.bottomcontainer + " slide-in-up"}>
                    <div>
                        <h3>
                            {`Hey I'm Invesvpo, I make some cool 3d models including guns and I'm trying to learn more about it.`} <br/>
                            {`I also make music, so check out my Spotify and SoundCloud below. `}<br/>
                            {`A lot of my songs are made to be downtempo ambient songs.`}
                        </h3>
                    </div>

                    <div className={styles.topcontent + " " + styles.links}>
                        <div>
                            <a target="_blank" href="https://twitter.com/invesvpo">
                                <span>
                                    <p>Twitter</p>
                                    <FontAwesomeIcon icon={faTwitter} />
                                </span>
                            </a>

                            <a target="_blank" href="https://discord.com/users/221984151161667585">
                                <span>
                                    <p>Discord</p>
                                    <FontAwesomeIcon icon={faDiscord} />
                                </span>
                            </a>

                            <a target="_blank" href="https://soundcloud.com/invesvpo">
                                <span>
                                    <p>SoundCloud</p>
                                    <FontAwesomeIcon icon={faSoundcloud} />
                                </span>
                            </a>

                            <a target="_blank" href="mailto:">
                                <span>
                                    <p>Email</p>
                                    <FontAwesomeIcon icon={faEnvelope} />
                                </span>
                            </a>

                            <a target="_blank" href="https://steamcommunity.com/id/Invesvpo/">
                                <span>
                                    <p>Steam</p>
                                    <FontAwesomeIcon icon={faSteam} />
                                </span>
                            </a>
                        </div>
                    </div>
                </div>
            </section>
        </div>
    )
}